Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

These are the requirements and instructions on how to install Apache on Linux. http://httpd.apache.org/docs/current/install.html

So I've installed everything (c++ compiler, apr and apr-util) to be able to install Apache correctly.

The only thing left is PCRE, I've installed it and it's located in my /usr/local/src/pcre-8.32

As I'm trying to sudo ./configure --with-included-apr I get this error:

checking for pcre-config... false
configure: error: pcre-config for libpcre not found. PCRE is required and available from http://pcre.org/

What am I doing wrong?

share|improve this question

3 Answers 3

This solved it.

First I installed pcre in /usr/local/pcre, using

./configure --prefix=/usr/local/pcre
make
sudo make install

Then installed apache with

./configure --with-included-apr --with-pcre=/usr/local/pcre
make
sudo make install
share|improve this answer

I solved it by giving the path in the Apache configuration

./configure \
--with-included-apr \
--with-pcre=/usr/local/pcre/bin/pcre-config 

as the compiler looks for the configuration settings in the pre-config file, hence we have to give the exact location of the pre-config file.

share|improve this answer

PCRE devel package is not installed on your system. First install pcre-devel

sudo yum install pcre-devel -y

and then run

sudo ./configure --with-included-apr

it will automatically take pcre by default.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.